Bug 144567 - SFTP:// hangs if you try to change directory while transfering a file
SFTP:// hangs if you try to change directory while transfering a file
Product: Fedora
Classification: Fedora
Component: gnome-vfs2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2005-01-08 08:29 EST by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-23 15:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kyrre Ness Sjøbæk 2005-01-08 08:29:40 EST
Description of problem:
If you try to change directory (ex. push the "up" button) while you
are transfering file(s), nautilus hangs and has to be restarted.
(something which happen automatically).

FTP does not have this behaviour

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.Open nautilus
2.Type some sftp:// adress in the adress bar
3.Enter a directory
4.Transfer some files
5.During transfer, try to switch directory
Actual results:
"time remaining" goes up and up (transfer stops), nautilus hangs

Expected results:
Transparently opening a new connection (?), doing the ls or secoundary
file transfers in there.

Additional info:

Is this nautilus, or gnome-vfs(2)(-extras)?
Comment 1 John Thacker 2006-04-27 17:52:00 EDT
This is a gnome-vfs2 issue.  I can't reproduce this on FC5, with either the
spatial or non-spatial mode in nautilus.  The copy pauses for a second but
resumes as expected.  Can you still reproduce this on FC5 with GNOME-2.14
packages?  Please retest it.

FC3 is the responsibility of Fedora Legacy, and this isn't a security bug, so it
won't get fixed there.
Comment 2 John Thacker 2006-05-23 15:07:24 EDT
No response from reporter, WORKSFORME on FC4 and FC5.
Comment 3 Kyrre Ness Sjøbæk 2006-05-30 15:57:18 EDT
Worksforme on fc5 as well. I just had some troubles with a network card, problem
went away after replacing it.

Note You need to log in before you can comment on or make changes to this bug.